# Roles

## Ethereum Mainnet

<table data-header-hidden><thead><tr><th width="233"></th><th width="181"></th><th width="100"></th><th></th></tr></thead><tbody><tr><td>Role</td><td>Description</td><td>Impact</td><td>Multisig</td></tr><tr><td>PROXY_ADMIN_OWNER</td><td>This address can upgrade any contract in the system.</td><td>Critical</td><td>YNSecurityCouncil</td></tr><tr><td>DEFAULT_ADMIN_ROLE</td><td>This address can add to and revoke addresses from any role in the system.</td><td>Critical</td><td>YNSecurityCouncil</td></tr><tr><td><p>STAKING_ADMIN</p><p><br></p></td><td>This address can register and upgrade the implementation of StakingNode and set maxNodeCount.</td><td>Critical</td><td>YNSecurityCouncil</td></tr><tr><td>STAKING_NODES_DELEGATOR</td><td>Can Delegate and Undelegate to operators.</td><td>Medium</td><td>YNDelegator</td></tr><tr><td>REWARDS_ADMIN</td><td>Sets the Fee Receiver and the Fee Basis points in RewardsDistributor.</td><td>High</td><td>YNSecurityCouncil</td></tr><tr><td>PAUSER_ROLE</td><td>Can pause deposits on ynETH/ynLSD, registerValidators</td><td>Medium</td><td>YNDev<br>YNIncidentResponder</td></tr><tr><td>UNPAUSER_ROLE</td><td>Can unpause what PAUSER pauses + unpause token transfers add/remove to whitelist for token transfer whitelist</td><td>High</td><td>YNSecurityCouncil</td></tr><tr><td>FEE_RECEIVER</td><td>Interim protocol revenue collector  until YND is released and distribution is automated.</td><td>High</td><td>YNSecurityCouncil</td></tr><tr><td>VALIDATOR_MANAGER</td><td>Registers validators in the system.</td><td>Critical</td><td>YNValidatorService</td></tr><tr><td>STAKING_NODES_OPERATOR</td><td>Operates verification of withdrawal credentials, sweeping rewards etc.</td><td>Medium</td><td>YNOperator<br>YNDev</td></tr><tr><td>STAKING_NODE_CREATOR</td><td>Can call createStakingNode.</td><td>Low</td><td>YnDev</td></tr></tbody></table>

\ <br>

<br>

### Ethereum Mainnet Multisigs&#x20;

<table data-header-hidden><thead><tr><th></th><th width="182"></th><th width="62"></th><th></th></tr></thead><tbody><tr><td>Name</td><td>Code</td><td>N/M</td><td>Ethereum Mainnet Safe Contract Address</td></tr><tr><td><p>YieldNest Security Council</p><p>Contract Upgrades, role admin.</p></td><td>YNSecurityCouncil</td><td>3/5</td><td><p>0xfcad670592a3b24869C0b51a6c6FDED4F95D6975</p><p><br></p></td></tr><tr><td>YieldNest Validator Service<br><br>Off-chain process</td><td>YNValidatorService</td><td>2/3</td><td><p>0x8e20eAf121154B69B7b880FA6c617c0175c4dE2e</p><p><br></p></td></tr><tr><td><p>YieldNest Delegator</p><p><br></p><p>Delegates the EigenPods to the operators</p></td><td>YNDelegator</td><td>2/3</td><td><p>0xDF51B7843817F76220C0970eF58Ba726630028eF</p><p><br></p></td></tr><tr><td><p>YieldNest Dev</p><p><br></p><p>Pause the system, fast incident response, low criticality actions.</p><p><br></p></td><td>YnDev</td><td>2/3</td><td>0xa08F39d30dc865CC11a49b6e5cBd27630D6141C3</td></tr></tbody></table>

### BNB Mainnet Multisigs&#x20;

<table data-header-hidden><thead><tr><th width="224"></th><th width="182"></th><th width="62"></th><th></th></tr></thead><tbody><tr><td>Name</td><td>Code</td><td>N/M</td><td>Ethereum Mainnet Safe Contract Address</td></tr><tr><td><p>YieldNest Security Council</p><p>Contract Upgrades, role admin.</p></td><td>YNSecurityCouncil</td><td>3/5</td><td><p>0x721688652DEa9Cabec70BD99411EAEAB9485d436</p><p><br></p></td></tr><tr><td><p>YieldNest Dev</p><p><br></p><p>Pause the system, fast incident response, low criticality actions.</p><p><br></p></td><td>YnDev</td><td>2/3</td><td>0x7B4B43f00cf80AABda8F72d61b129F1e7F86fCaF</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yieldnest.finance/security/roles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
